import request from "@/utils/request.js";

export default {
	//用户登录
	userLogin(data) {
		return request({
			url: 'api/wechat/wxlogin',
			method: 'POST',
			data: data,
			interfaceType: 2
		});
	},
	//微信支付
	wechatPay(openid, orderid) {
		return request({
			url: `api/wechat/wechatpay/${openid}/${orderid}`,
			method: 'POST',
			interfaceType: 2
		});
	},
	//解密
	decryptUserInfo(data) {
		return request({
			url : 'api/wechat/decryptuserinfo',
			method: 'POST',
			data: data,
			interfaceType: 2
		});
	},
	//退款
	wechatrefund(data) {
		return request({
			url : 'api/wechat/wechatrefund',
			method: 'POST',
			data: data,
			interfaceType: 2
		});
	}
}